You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@continuum.apache.org by ev...@apache.org on 2005/08/04 11:46:09 UTC

svn commit: r227333 - /maven/continuum/trunk/ci_continuum.sh

Author: evenisse
Date: Thu Aug  4 02:46:01 2005
New Revision: 227333

URL: http://svn.apache.org/viewcvs?rev=227333&view=rev
Log:
grep "FATAL ERROR" for the moment because I don't know how to trap the m2 error code

Modified:
    maven/continuum/trunk/ci_continuum.sh

Modified: maven/continuum/trunk/ci_continuum.sh
URL: http://svn.apache.org/viewcvs/maven/continuum/trunk/ci_continuum.sh?rev=227333&r1=227332&r2=227333&view=diff
==============================================================================
--- maven/continuum/trunk/ci_continuum.sh (original)
+++ maven/continuum/trunk/ci_continuum.sh Thu Aug  4 02:46:01 2005
@@ -133,18 +133,25 @@
 ) >> $MESSAGE 2>&1
 ret=$?
 
+grep "FATAL ERROR" $MESSAGE > /dev/null 2>&1
+fatal_error=$?
+
 # Only send mail to the list if a build was required.
 
 host=`hostname`
 
-if [ build_m2 != 0 -o build_continuum != 0 ]
+if [ build_continuum != 0 ]
 then
   echo "From: $FROM" > log
   echo "To: $TO" >> log
   if [ $ret != 0 ]; then
     echo "Subject: [continuum build - FAILED - $CMD] $DATE" >> log
   else
-    echo "Subject: [continuum build - SUCCESS - $CMD] $DATE" >> log
+    if [ fatal_error != 0 ]; then
+      echo "Subject: [continuum build - FAILED - $CMD] $DATE" >> log
+    else
+      echo "Subject: [continuum build - SUCCESS - $CMD] $DATE" >> log
+    fi
   fi
   echo "" >> log
   echo "Log:" >> log